Delete an existing action from a voice AI agent. This permanently removes the action and its configuration.

http
DELETE https://services.leadconnectorhq.com/voice-ai/actions/{actionId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
actionIdstringYesUnique identifier for the action

Query parameters

NameTypeRequiredExampleDescription
locationIdstringYesLOC123456789ABCDEFAccount ID
agentIdstringYesAgent ID the action is attached to

Responses

204 - Action deleted successfully
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X DELETE 'https://services.leadconnectorhq.com/voice-ai/actions/YOUR_actionId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?